/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CONFIG                          1
#define  CONFIG_Voltage_B                2       /* callback function: configControlHelp */
#define  CONFIG_Voltage_A                3       /* callback function: configControlHelp */
#define  CONFIG_Voltage_P_B              4       /* callback function: configControlHelp */
#define  CONFIG_Voltage_P_A              5       /* callback function: configControlHelp */
#define  CONFIG_Current_limit_B          6       /* callback function: configControlHelp */
#define  CONFIG_Current_limit_A          7       /* callback function: configControlHelp */
#define  CONFIG_Type_B                   8       /* callback function: configControlHelp */
#define  CONFIG_Type_A                   9       /* callback function: configControlHelp */
#define  CONFIG_Current_B                10      /* callback function: configControlHelp */
#define  CONFIG_Current_A                11      /* callback function: configControlHelp */
#define  CONFIG_Interval_B               12      /* callback function: configControlHelp */
#define  CONFIG_Interval_A               13      /* callback function: configControlHelp */
#define  CONFIG_Samples_B                14      /* callback function: configControlHelp */
#define  CONFIG_Samples_A                15      /* callback function: configControlHelp */
#define  CONFIG_Apply                    16      /* callback function: applySettingsCallback */
#define  CONFIG_TEXTMSG                  17
#define  CONFIG_TEXTMSG_2                18
#define  CONFIG_DECORATION               19
#define  CONFIG_DECORATION_2             20

#define  INIT                            2
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_CANCEL                     3       /* callback function: cancel */
#define  INIT_INTERFACE                  4       /* callback function: controlHelp */
#define  INIT_ADDRESS                    5       /* callback function: controlHelp */
#define  INIT_ID                         6       /* callback function: controlHelp */
#define  INIT_RST                        7       /* callback function: controlHelp */

#define  PANEL                           3       /* callback function: panelCallback */
#define  PANEL_CONFIG                    2       /* callback function: configureCallback */
#define  PANEL_CANCEL                    3       /* callback function: cancel */
#define  PANEL_STOP_MEASURE              4       /* callback function: stopMeasureCallback */
#define  PANEL_MEASURE                   5       /* callback function: measureCallback */
#define  PANEL_Graph_B                   6
#define  PANEL_Graph_A                   7
#define  PANEL_DECORATION                8
#define  PANEL_TEXTMSG                   9


     /* Menu Bars, Menus, and Menu Items: */

#define  RSNGMO                          1
#define  RSNGMO_HELP                     2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK applySettingsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configControlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configureCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK measureCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK stopMeasureCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
